{% extends 'base.html.twig' %}
{% set page = 'team' %}

{% block title %}Page de démarrage{% endblock %}

{% block body %}
    <h1>Liste des équipes</h1>

    <table>
        <thead>
        <tr>
            <th>Nom</th>
            <th>Origine</th>
            <th>Maillot</th>
            <th>Nombre de joueurs</th>
            <th>Création</th>
            <th></th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        {% for team in teams %}
            <tr>
                <td>{{ team.name }}</td>
                <td>{{ team.origin }}</td>
                <td>{{ team.shirt }}</td>
                <td>{{ team.players }}</td>
                <td>{{ team.createdAt|date('d/m/Y') }}</td>
                <td>
                    <a href="{{ path('app_team_edit', {'id': team.id}) }}" class="btn btn-primary">Modifier</a>
                </td>
                <td>
                    <form action="{{ path('app_team_delete', {'id': team.id}) }}" method="post">
                        <input type="hidden" name="_token" value="{{ csrf_token('remove-team-'~team.id) }}">
                        <button type="submit" class="btn btn-danger">Supprimer</button>
                    </form>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_team_new') }}" class="float-right btn btn-primary">Nouvelle Equipe</a>

{% endblock %}
